P4_EMU_SENDME_COMMAN(3)

NAME
p4_emu_sendme_command - BEWARE: helper function, make sure to save LEM context and setup the

SYNOPSIS

#include <pfe/main-k12.h>

status_t p4_emu_sendme_command((k12_emu_type_t* emul_id, const u8_t* str, int len));

DESCRIPTION

forth's REGTH (if it uses a cpu register for that). the p4_emu_sendme_command function will create an eventbuffer that will land in the term-k12 getevent loop - it will work as if the the string has been magically typed on the terminal. It can be used to send a string from LEM-context (during a config-request) to the PFE-context (in its getevent loop). The string will be implicitly terminated with a CR to start execution in the engine's interpret_loop.

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2003. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>